package backend

import "cron_admin/app/http/entities"

type DbListRequest struct {
	entities.PageRequest
	DbName       string `json:"db_name" form:"db_name" example:""`
	Status       int    `json:"status" form:"status" example:"1"`
	DbType       string `json:"db_type" form:"db_type" example:"mysql"`
	DbPermission int    `json:"db_permission" form:"db_permission" example:"1"`
}

type DbListResponse struct {
	DbId         int    `json:"db_id"`
	DbName       string `json:"db_name"`
	DbType       string `json:"db_type"`
	Status       int    `json:"status"`
	DbPermission int    `json:"db_permission"`
	Desc         string `json:"desc"`
	CreateTime   string `json:"create_time"`
}

type DbAddRequest struct {
	DbName       string `json:"db_name" validate:"required" form:"db_name" example:""`
	DbType       string `json:"db_type" validate:"required" form:"db_type" example:"mysql"`
	DbPermission int    `json:"db_permission" validate:"required" form:"db_permission" example:"1"`
	Source       string `json:"source" validate:"required" form:"source" example:""`
	Desc         string `json:"desc" form:"desc" example:""`
	Status       int    `json:"status" form:"status" example:"1"`
}

type DbTestRequest struct {
	Source string `json:"source" validate:"required" form:"source" example:""`
}

type DbEditRequest struct {
	DbId         int    `json:"db_id" validate:"required" form:"db_id" example:""`
	DbName       string `json:"db_name" validate:"required" form:"db_name" example:""`
	DbType       string `json:"db_type" validate:"required" form:"db_type" example:"mysql"`
	DbPermission int    `json:"db_permission" validate:"required" form:"db_permission" example:"1"`
	Source       string `json:"source"  form:"source" example:""`
	Desc         string `json:"desc" form:"desc" example:""`
	Status       int    `json:"status" form:"status" example:"1"`
}

type DbDeleteRequest struct {
	DbId int `json:"db_id" validate:"required" form:"db_id" example:""`
}
